Bug 1711399 - [abrt] remmina: remmina_protocol_widget_query_feature_by_type(): remmina killed by SIGSEGV
Summary: [abrt] remmina: remmina_protocol_widget_query_feature_by_type(): remmina kill...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d0bbb7a7eff8616765753b4f781...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-17 17:04 UTC by Luís Silva
Modified: 2019-05-30 17:27 UTC (History)
2 users (show)

Fixed In Version: remmina-1.3.4-1.fc30 remmina-1.3.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-22 01:40:13 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (39.40 KB, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: cgroup (331 bytes, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: core_backtrace (19.30 KB, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: cpuinfo (1.47 KB, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: dso_list (9.93 KB, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: environ (3.58 KB, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: exploitable (82 bytes, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: limits (1.29 KB, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: maps (68.76 KB, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: mountinfo (5.11 KB, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: open_fds (1.08 KB, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details
File: var_log_messages (240 bytes, text/plain)
2019-05-17 17:04 UTC, Luís Silva
no flags Details

Description Luís Silva 2019-05-17 17:04:27 UTC
Description of problem:
Open rdp connection.....

Version-Release number of selected component:
remmina-1.3.3-1.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: remmina_protocol_widget_query_feature_by_type
executable:     /usr/bin/remmina
journald_cursor: s=c8d67128fa874fbf9390fb9eb5195e10;i=c3db5d;b=6f789c1f70594f40a976539f678242fd;m=23dc289c8c;t=58917aaed0797;x=7c1e57d2b6508432
kernel:         5.0.14-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 remmina_protocol_widget_query_feature_by_type at /usr/src/debug/remmina-1.3.3-1.fc30.x86_64/src/remmina_protocol_widget.c:523
 #1 get_current_allowed_scale_mode at /usr/src/debug/remmina-1.3.3-1.fc30.x86_64/src/rcw.c:378
 #2 rco_set_scrolled_policy at /usr/src/debug/remmina-1.3.3-1.fc30.x86_64/src/rcw.c:827
 #3 rco_create_scrolled_container at /usr/src/debug/remmina-1.3.3-1.fc30.x86_64/src/rcw.c:2673
 #4 rco_append_page at /usr/src/debug/remmina-1.3.3-1.fc30.x86_64/src/rcw.c:2783
 #5 rcw_initialize_notebook at /usr/src/debug/remmina-1.3.3-1.fc30.x86_64/src/rcw.c:2830
 #6 rch_create_scrolled at /usr/src/debug/remmina-1.3.3-1.fc30.x86_64/src/rcw.c:3132
 #7 rcw_open_from_file_full at /usr/src/debug/remmina-1.3.3-1.fc30.x86_64/src/rcw.c:3830
 #8 rcw_open_from_file at /usr/src/debug/remmina-1.3.3-1.fc30.x86_64/src/rcw.c:3765
 #9 rcw_open_from_filename at /usr/src/debug/remmina-1.3.3-1.fc30.x86_64/src/rcw.c:3725

Comment 1 Luís Silva 2019-05-17 17:04:31 UTC
Created attachment 1570194 [details]
File: backtrace

Comment 2 Luís Silva 2019-05-17 17:04:32 UTC
Created attachment 1570195 [details]
File: cgroup

Comment 3 Luís Silva 2019-05-17 17:04:33 UTC
Created attachment 1570196 [details]
File: core_backtrace

Comment 4 Luís Silva 2019-05-17 17:04:34 UTC
Created attachment 1570197 [details]
File: cpuinfo

Comment 5 Luís Silva 2019-05-17 17:04:36 UTC
Created attachment 1570198 [details]
File: dso_list

Comment 6 Luís Silva 2019-05-17 17:04:37 UTC
Created attachment 1570199 [details]
File: environ

Comment 7 Luís Silva 2019-05-17 17:04:38 UTC
Created attachment 1570200 [details]
File: exploitable

Comment 8 Luís Silva 2019-05-17 17:04:39 UTC
Created attachment 1570201 [details]
File: limits

Comment 9 Luís Silva 2019-05-17 17:04:41 UTC
Created attachment 1570202 [details]
File: maps

Comment 10 Luís Silva 2019-05-17 17:04:42 UTC
Created attachment 1570203 [details]
File: mountinfo

Comment 11 Luís Silva 2019-05-17 17:04:43 UTC
Created attachment 1570204 [details]
File: open_fds

Comment 12 Luís Silva 2019-05-17 17:04:44 UTC
Created attachment 1570205 [details]
File: proc_pid_status

Comment 13 Luís Silva 2019-05-17 17:04:45 UTC
Created attachment 1570206 [details]
File: var_log_messages

Comment 14 Fedora Update System 2019-05-19 08:39:48 UTC
pidgin-sipe-1.24.0-4.fc30 freerdp-2.0.0-50.20190517gitb907324.fc30 remmina-1.3.4-1.fc30 gnome-boxes-3.32.1-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a2ee65c90d

Comment 15 Fedora Update System 2019-05-19 08:39:58 UTC
pidgin-sipe-1.24.0-4.fc28 freerdp-2.0.0-50.20190517gitb907324.fc28 remmina-1.3.4-1.fc28 gnome-boxes-3.28.5-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4a9437ffa

Comment 16 Fedora Update System 2019-05-19 08:40:07 UTC
pidgin-sipe-1.24.0-4.fc29 freerdp-2.0.0-50.20190517gitb907324.fc29 remmina-1.3.4-1.fc29 gnome-boxes-3.30.3-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f0ceeadc43

Comment 17 Fedora Update System 2019-05-20 00:57:24 UTC
freerdp-2.0.0-50.20190517gitb907324.fc30, gnome-boxes-3.32.1-2.fc30, pidgin-sipe-1.24.0-4.fc30, remmina-1.3.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a2ee65c90d

Comment 18 Fedora Update System 2019-05-20 03:02:28 UTC
freerdp-2.0.0-50.20190517gitb907324.fc28, gnome-boxes-3.28.5-3.fc28, pidgin-sipe-1.24.0-4.fc28, remmina-1.3.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4a9437ffa

Comment 19 Fedora Update System 2019-05-20 11:43:39 UTC
freerdp-2.0.0-50.20190517gitb907324.fc29, gnome-boxes-3.30.3-3.fc29, pidgin-sipe-1.24.0-4.fc29, remmina-1.3.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f0ceeadc43

Comment 20 Fedora Update System 2019-05-22 01:40:13 UTC
freerdp-2.0.0-50.20190517gitb907324.fc30, gnome-boxes-3.32.1-2.fc30, pidgin-sipe-1.24.0-4.fc30, remmina-1.3.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-05-30 17:27:16 UTC
freerdp-2.0.0-50.20190517gitb907324.fc29, gnome-boxes-3.30.3-3.fc29, pidgin-sipe-1.24.0-4.fc29, remmina-1.3.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.